<?xml version="1.0" encoding="UTF-8"?><!--
==================================
Schematron schema for elab-labuitslag (fragment schematron) 
  10001 ClinicalDocument

Project: eLab

Copyright 2010 Nictiz


Author: dr Kai U. Heitmann

Version information:
  2010-02-16 KH initial release
  2010-06-28 KH template based
  2010-12-21 KH template 200, 201, 204 en 205 afgerond

DISCLAIMER:
Hoewel deze publicatie met de uiterste zorg is samengesteld, kan Nictiz geen aansprakelijkheid aanvaarden voor directe of indirecte schade ontstaan door de inhoud van
        de – al dan niet door derden aangeboden – informatie.

WARNING:
THIS FILE HAS BEEN GENERATED AUTOMAGICALLY. DON'T EDIT IT.

Creation date: 2011-01-12T13:11:49.071+01:00
==================================

--><!--
Template derived pattern
===========================================
ID: 
Item: ClinicalDocument
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="elab-labuitslag"><title>ClinicalDocument - scenario(s): cdauitslag</title>
<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']
Item: ClinicalDocument - scenario(s): cdauitslag
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">ClinicalDocument: element hl7:code (ClinicalDocument.code)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:code)&lt;=1">ClinicalDocument: element hl7:code (ClinicalDocument.code)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">ClinicalDocument: element hl7:recordTarget is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:recordTarget)&lt;=1">ClinicalDocument: element hl7:recordTarget appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">ClinicalDocument: element hl7:author is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">ClinicalDocument: element hl7:custodian is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:custodian)&lt;=1">ClinicalDocument: element hl7:custodian appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">ClinicalDocument: element hl7:participant is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:inFulfillmentOf)&gt;=1 and not(hl7:inFulfillmentOf/@nullFlavor)">ClinicalDocument: element hl7:inFulfillmentOf is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:inFulfillmentOf)&lt;=1">ClinicalDocument: element hl7:inFulfillmentOf appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:documentationOf)&gt;=1 and not(hl7:documentationOf/@nullFlavor)">ClinicalDocument: element hl7:documentationOf is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:documentationOf)&lt;=1">ClinicalDocument: element hl7:documentationOf appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:legalAuthenticator)&lt;=1">ClinicalDocument: element hl7:legalAuthenticator appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:realmCode
Item: ClinicalDocument.realmCode
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:realmCode"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@nullFlavor or @code='NL'">ClinicalDocument.realmCode: A code element SHALL be present where the value of @code is 'NL' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:typeId
Item: ClinicalDocument.typeId
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:typeId"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@extension='POCD_HD000040'">ClinicalDocument.typeId: @extension SHALL have value 'POCD_HD000040' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@root='2.16.840.1.113883.1.3'">ClinicalDocument.typeId: @root SHALL have value '2.16.840.1.113883.1.3' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">ClinicalDocument.typeId: @root attribute SHALL be a syntactically correct UUID or OID</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:id
Item: ClinicalDocument.id
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:code
Item: ClinicalDocument.code
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:code"><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="valueFromValueSet" value="'LabDocumentTypes'"/><let name="theDisplayName" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@displayName[1])"/><let name="theeffectiveDate" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/@effectiveDate)"/><let name="requiredCodeSystem" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@codeSystem)"/><let name="type" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@type)"/><let name="theNullFlavor" value="@nullFlavor"/><let name="validNullFlavor" value="document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]"/><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="(string-length($theDisplayName)&gt;0 and ($theCodeSystem=$requiredCodeSystem)) or string-length($validNullFlavor)&gt;0">ClinicalDocument.code: A code element SHALL be present where the value of @code is selected from Value Set '<value-of select="$valueFromValueSet"/>' DYNAMIC <value-of select="$theeffectiveDate"/> - found code= <value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="not(@nullFlavor) or string-length($validNullFlavor)&gt;0">ClinicalDocument.code: @nullFlavor '<value-of select="$theNullFlavor"/>' is not allowed in this context</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="not($type='A') or string-length($validNullFlavor)&gt;0">ClinicalDocument.code: the code used is an abstract node and cannot be chosen as a valid code  - found: code=<value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:title
Item: ClinicalDocument.title
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:effectiveTime
Item: ClinicalDocument.effectiveTime
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:effectiveTime"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@nullFlavor or (matches (@value, '^[0-9]{14,14}'))">ClinicalDocument.effectiveTime: @value SHALL be a valid time stamp and of precision/format YYYYMMDDHHMMSS</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:confidentialityCode
Item: ClinicalDocument.confidentialityCode
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:confidentialityCode"><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="valueFromValueSet" value="'Confidentiality'"/><let name="theDisplayName" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@displayName[1])"/><let name="theeffectiveDate" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/@effectiveDate)"/><let name="requiredCodeSystem" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@codeSystem)"/><let name="type" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@type)"/><let name="theNullFlavor" value="@nullFlavor"/><let name="validNullFlavor" value="document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]"/><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="(string-length($theDisplayName)&gt;0 and ($theCodeSystem=$requiredCodeSystem)) or string-length($validNullFlavor)&gt;0">ClinicalDocument.confidentialityCode: A code element SHALL be present where the value of @code is selected from Value Set '<value-of select="$valueFromValueSet"/>' DYNAMIC <value-of select="$theeffectiveDate"/> - found code= <value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="not(@nullFlavor) or string-length($validNullFlavor)&gt;0">ClinicalDocument.confidentialityCode: @nullFlavor '<value-of select="$theNullFlavor"/>' is not allowed in this context</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="not($type='A') or string-length($validNullFlavor)&gt;0">ClinicalDocument.confidentialityCode: the code used is an abstract node and cannot be chosen as a valid code  - found: code=<value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:languageCode
Item: ClinicalDocument.languageCode
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:languageCode"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@code='nl-NL'">ClinicalDocument.languageCode: @code SHALL be a valid language code format ss-CC ValidLanguageCode</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:setId
Item: ClinicalDocument.setId
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:versionNumber
Item: ClinicalDocument.versionNumber
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:versionNumber"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">ClinicalDocument.versionNumber: An @xsi:type instruction SHALL be present where the value is 'INT' STATIC or datatype SHALL be 'INT'</assert><let name="theValue" value="@value"/><report role="warning" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="number($theValue)&lt;1">ClinicalDocument.versionNumber: value attribute with data type 'INT' @value SHALL be in range 1 ...  - out of range <value-of select="$theValue"/></report><let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="$digitok">ClinicalDocument.versionNumber: @value is not a valid INT number <value-of select="$theValue"/></assert><assert role="error" test="(../hl7:setId and ../hl7:versionNumber) or not (../hl7:setId or ../hl7:versionNumber)">ClinicalDocument.versionNumber: Clinical Document setId and versionNumber must be both present or both absent</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:recordTarget
Item: ClinicalDocument.recordTarget
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:recordTarget"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@contextControlCode='OP'">ClinicalDocument.recordTarget: @contextControlCode SHALL have value 'OP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @typeCode='RCT'">ClinicalDocument.recordTarget: @typeCode SHALL be present where the value of @typeCode is 'RCT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:patientRole)&gt;=1 and not(hl7:patientRole/@nullFlavor)">ClinicalDocument.recordTarget: element hl7:patientRole (recordTarget.patientRole)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:patientRole)&lt;=1">ClinicalDocument.recordTarget: element hl7:patientRole (recordTarget.patientRole)  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:recordTarget/hl7:patientRole
Item: recordTarget.patientRole
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:recordTarget/hl7:patientRole"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@classCode='PAT'">recordTarget.patientRole: @classCode SHALL be present where the value of @classCode is 'PAT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">recordTarget.patientRole: element hl7:id (recordTarget.patientRole.id)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:addr)&gt;=1 ">recordTarget.patientRole: element hl7:addr (recordTarget.patientRole.addr)  is required [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:addr)&lt;=2">recordTarget.patientRole: element hl7:addr (recordTarget.patientRole.addr)  appears too often [max 2x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">recordTarget.patientRole: element hl7:patient (recordTarget.patientRole.patient)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:patient)&lt;=1">recordTarget.patientRole: element hl7:patient (recordTarget.patientRole.patient)  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:recordTarget/hl7:patientRole/hl7:id
Item: recordTarget.patientRole.id
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:recordTarget/hl7:patientRole/hl7:id"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(../hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;0">recordTarget.patientRole.id: there SHALL be at least one hl7:id with @root present and valued '2.16.840.1.113883.2.4.6.3' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">recordTarget.patientRole.id: @root attribute SHALL be a syntactically correct UUID or OID</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:recordTarget/hl7:patientRole/hl7:addr
Item: recordTarget.patientRole.addr
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:recordTarget/hl7:patientRole/hl7:addr"><assert role="error" test="not(@use) or string-length(normalize-space(replace (@use, 'HP|PHYS|TMP', '')))=0">recordTarget.patientRole.addr: Attribute @use of addr SHALL contain codes HP PHYS PST or TMP only</assert><assert role="error" test="../hl7:addr[@use='HP' or @use='TMP PHYS']">recordTarget.patientRole.addr: Addr SHALL be present with @use HP or TMP PHYS or both</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:recordTarget/hl7:patientRole/hl7:telecom
Item: recordTarget.patientRole.telecom
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:recordTarget/hl7:patientRole/hl7:telecom"><assert test="@value">Telecom elements SHALL have a value attribute</assert><assert test="@value=iri-to-uri(@value)">A telecom value SHALL be a valid URI e.g. '<value-of select="iri-to-uri(@value)"/>'.</assert><let name="urlScheme" value="substring-before(@value,':')"/><assert test="@value and document('../vocab/URL.urlScheme.xml')/*/hl7:code[@code=$urlScheme]">Telecom value heeft ongeldig URL scheme '<value-of select="$urlScheme"/>'</assert><let name="urlStr" value="substring-after(@value,':')"/><assert test="if ($urlScheme='tel' or $urlScheme='fax') then (matches($urlStr, '^(\+?([\d()./-]|(%[a-f\d]{2}))+)*(;(phone-context=((\+?([\d()./-]|(%[a-f\d]{2}))+)|(([a-z\d-]|(%[a-f\d]{2}))+(\.([a-z\d-]|(%[a-f\d]{2}))+)*))|(ext=[\d./-]+)|(isub=(([a-z\d();/?:@&amp;=+$,_.!~*-])|(%[a-f\d]{2}))+)|([a-z\d-]+=([a-z\d\[\]/:&amp;+$_.!~*()-]|(%[a-f\d]{2}))+)))*$')) else (1=1)" see="http://tools.ietf.org/html/rfc3966">This is not a
                                    valid <value-of select="$urlScheme"/> URL as defined in RFC 3966</assert><assert test="if ($urlScheme='file') then (matches($urlStr, '^///{0,2}((((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+([a-z]+))))|([a-z][:|]))(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*$','i')) else (1=1)" see="http://tools.ietf.org/html/rfc1738">This is not a valid <value-of select="$urlScheme"/> URL as defined in RFC 1738.</assert><assert test="if ($urlScheme='nfs') then (matches($urlStr, '^//((((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+([a-z]+))))|([a-z][:|]))/?(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*$','i')) else (1=1)" see="http://tools.ietf.org/html/rfc2224">This is not a valid <value-of select="$urlScheme"/> URL as defined in RFC 2224.</assert><assert test="if ($urlScheme='ftp' or $urlScheme='ftps') then (matches($urlStr, '^//((([a-z\d$\.+!*(),?&amp;=~_-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z][\w-]*))?)?(/(([a-z\d$\.+!*(),?&amp;_~=-])|(%[a-f\d]{2}))*)*(;type=[aid])?$','i')) else (1=1)" see="http://tools.ietf.org/html/rfc1738">This is not
                                    a valid <value-of select="$urlScheme"/> URL as defined in RFC 1738.</assert><assert test="if ($urlScheme='http' or $urlScheme='https') then (matches($urlStr, '^//((([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z]\w*))?)?(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*(\?(([\w$_\.+;:@~!*(),])|(%[a-f\d]{2}))+=(([\w$_\.+;:/@~!*(),-])|(%[a-f\d]{2}))*(&amp;((([\w$_\.+;:@~!*(),])|(%[a-f\d]{2}))+=(([\w$_\.+;:/@~!*(),-])|(%[a-f\d]{2}))*)?)*)?(#([\w~!$+|.,*:=~_]|%[a-f\d]{2})*)?$','i')) else (1=1)" see="http://tools.ietf.org/html/rfc1738">This is
                                    not a valid <value-of select="$urlScheme"/> URL as defined in RFC 1738</assert><assert test="if ($urlScheme='telnet') then (matches($urlStr, '^//((([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z]\w*))?)?(/(([a-z\d$\.+!*(),?&amp;=-])|(%[a-f\d]{2}))*)*$','i')) else (1=1)" see="http://tools.ietf.org/html/rfc1738">This is not a valid <value-of select="$urlScheme"/> URL as defined in RFC 1738.</assert><assert test="if ($urlScheme='mailto') then (matches($urlStr, '^[a-z\d_\+-]+(\.[a-z\d_\+-]+)*@\w+(\.\w+)*\.([a-z]{2,4})$','i')) else (1=1)" see="http://tools.ietf.org/html/rfc2368">'<value-of select="$urlStr"/>'
                                    is not a valid e-mail address as defined in RFC 2368. It is not allow to make use of extra headers</assert><assert test="if ($urlScheme='x-hl7-applicatie') then (matches($urlStr, '^2\.16\.840\.1\.113883\.2\.4\.6\.6\.[1-9]\d+$')) else (1=1)">This is not a valid HL7 application-id. A valid
                                    application id starts with '2.16.840.1.113883.2.4.6.6.' followd by a numeric part</assert><assert test="if ($urlScheme='mllp') then (matches($urlStr, '^//(([1-2]\d{0,2})(\.([1-2]\d{0,2})){3}|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2}))):(([1-9]\d{0,4})|([A-Za-z]\w*))/$')) else (1=1)">This is not a valid mllp URL. A valid mllp URL has format mllp://host:port/
                                    where 'host' is a name or IP and 'port' is a named port or a number</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:recordTarget/hl7:patientRole/hl7:patient
Item: recordTarget.patientRole.patient
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:recordTarget/hl7:patientRole/hl7:patient"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@classCode='PSN'">recordTarget.patientRole.patient: @classCode SHALL be present where the value of @classCode is 'PSN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">recordTarget.patientRole.patient: element hl7:name (recordTarget.patientRole.patient.name)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:name)&lt;=2">recordTarget.patientRole.patient: element hl7:name (recordTarget.patientRole.patient.name)  appears too often [max 2x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:administrativeGenderCode)&gt;=1 and not(hl7:administrativeGenderCode/@nullFlavor)">recordTarget.patientRole.patient: element hl7:administrativeGenderCode (recordTarget.patientRole.patient.administrativeGenderCode)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:administrativeGenderCode)&lt;=1">recordTarget.patientRole.patient: element hl7:administrativeGenderCode (recordTarget.patientRole.patient.administrativeGenderCode)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)">recordTarget.patientRole.patient: element hl7:birthTime (recordTarget.patientRole.patient.birthTime)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:birthTime)&lt;=1">recordTarget.patientRole.patient: element hl7:birthTime (recordTarget.patientRole.patient.birthTime)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(lab:multipleBirthInd)&lt;=1">recordTarget.patientRole.patient: element lab:multipleBirthInd (recordTarget.patientRole.patient.multipleBirthInd)  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name
Item: recordTarget.patientRole.patient.name
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode
Item: recordTarget.patientRole.patient.administrativeGenderCode
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode"><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="valueFromValueSet" value="'AdministrativeGender'"/><let name="theDisplayName" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@displayName[1])"/><let name="theeffectiveDate" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/@effectiveDate)"/><let name="requiredCodeSystem" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@codeSystem)"/><let name="type" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@type)"/><let name="theNullFlavor" value="@nullFlavor"/><let name="validNullFlavor" value="document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]"/><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="(string-length($theDisplayName)&gt;0 and ($theCodeSystem=$requiredCodeSystem)) or string-length($validNullFlavor)&gt;0">recordTarget.patientRole.patient.administrativeGenderCode: A code element SHALL be present where the value of @code is selected from Value Set '<value-of select="$valueFromValueSet"/>' DYNAMIC <value-of select="$theeffectiveDate"/> - found code= <value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="not(@nullFlavor) or string-length($validNullFlavor)&gt;0">recordTarget.patientRole.patient.administrativeGenderCode: @nullFlavor '<value-of select="$theNullFlavor"/>' is not allowed in this context</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="not($type='A') or string-length($validNullFlavor)&gt;0">recordTarget.patientRole.patient.administrativeGenderCode: the code used is an abstract node and cannot be chosen as a valid code  - found: code=<value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime
Item: recordTarget.patientRole.patient.birthTime
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@nullFlavor or (matches (@value, '^[0-9]{8,8}'))">recordTarget.patientRole.patient.birthTime: @value SHALL be a valid time stamp and of precision/format YYYYMMDD</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:recordTarget/hl7:patientRole/hl7:patient/lab:multipleBirthInd
Item: recordTarget.patientRole.patient.multipleBirthInd
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:author
Item: ClinicalDocument.author
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:author"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@contextControlCode='OP'">ClinicalDocument.author: @contextControlCode SHALL have value 'OP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @typeCode='AUT'">ClinicalDocument.author: @typeCode SHALL be present where the value of @typeCode is 'AUT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">ClinicalDocument.author: element hl7:time (author.time)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:time)&lt;=1">ClinicalDocument.author: element hl7:time (author.time)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:assignedAuthor)&gt;=1 and not(hl7:assignedAuthor/@nullFlavor)">ClinicalDocument.author: element hl7:assignedAuthor (author.assignedAuthor)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:assignedAuthor)&lt;=1">ClinicalDocument.author: element hl7:assignedAuthor (author.assignedAuthor)  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:author/hl7:time
Item: author.time
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:author/hl7:assignedAuthor
Item: author.assignedAuthor
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:author/hl7:assignedAuthor"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@classCode='ASSIGNED'">author.assignedAuthor: @classCode SHALL be present where the value of @classCode is 'ASSIGNED' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">author.assignedAuthor: element hl7:id (author.assignedAuthor.id)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:id)&lt;=1">author.assignedAuthor: element hl7:id (author.assignedAuthor.id)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:code)&lt;=1">author.assignedAuthor: element hl7:code (author.assignedAuthor.code)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:assignedPerson)&lt;=1">author.assignedAuthor: element hl7:assignedPerson (author.assignedAuthor.assignedPerson)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:representedOrganization)&lt;=1">author.assignedAuthor: element hl7:representedOrganization (author.assignedAuthor.representedOrganization)  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:author/hl7:assignedAuthor/hl7:id
Item: author.assignedAuthor.id
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:author/hl7:assignedAuthor/hl7:id"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(../hl7:id[@root='2.16.528.1.1007.3.1'])&gt;0">author.assignedAuthor.id: there SHALL be at least one hl7:id with @root present and valued '2.16.528.1.1007.3.1' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">author.assignedAuthor.id: @root attribute SHALL be a syntactically correct UUID or OID</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:author/hl7:assignedAuthor/hl7:code
Item: author.assignedAuthor.code
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:author/hl7:assignedAuthor/hl7:code"><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="valueFromValueSet" value="'RoleCodeNL'"/><let name="theDisplayName" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@displayName[1])"/><let name="theeffectiveDate" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/@effectiveDate)"/><let name="requiredCodeSystem" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@codeSystem)"/><let name="type" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@type)"/><let name="theNullFlavor" value="@nullFlavor"/><let name="validNullFlavor" value="document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]"/><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="(string-length($theDisplayName)&gt;0 and ($theCodeSystem=$requiredCodeSystem)) or string-length($validNullFlavor)&gt;0">author.assignedAuthor.code: A code element SHALL be present where the value of @code is selected from Value Set '<value-of select="$valueFromValueSet"/>' DYNAMIC <value-of select="$theeffectiveDate"/> - found code= <value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="not(@nullFlavor) or string-length($validNullFlavor)&gt;0">author.assignedAuthor.code: @nullFlavor '<value-of select="$theNullFlavor"/>' is not allowed in this context</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="not($type='A') or string-length($validNullFlavor)&gt;0">author.assignedAuthor.code: the code used is an abstract node and cannot be chosen as a valid code  - found: code=<value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: author.assignedAuthor.assignedPerson
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@classCode='PSN'">author.assignedAuthor.assignedPerson: @classCode SHALL be present where the value of @classCode is 'PSN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @determinerCode='INSTANCE'">author.assignedAuthor.assignedPerson: @determinerCode SHALL have value 'INSTANCE' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">author.assignedAuthor.assignedPerson: element hl7:name (author.assignedAuthor.assignedPerson.name)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:name)&lt;=1">author.assignedAuthor.assignedPerson: element hl7:name (author.assignedAuthor.assignedPerson.name)  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: author.assignedAuthor.assignedPerson.name
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: author.assignedAuthor.representedOrganization
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@classCode='ORG'">author.assignedAuthor.representedOrganization: @classCode SHALL be present where the value of @classCode is 'ORG' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @determinerCode='INSTANCE'">author.assignedAuthor.representedOrganization: @determinerCode SHALL have value 'INSTANCE' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">author.assignedAuthor.representedOrganization: element hl7:id (author.assignedAuthor.representedOrganization.id)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:id)&lt;=1">author.assignedAuthor.representedOrganization: element hl7:id (author.assignedAuthor.representedOrganization.id)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">author.assignedAuthor.representedOrganization: element hl7:name (author.assignedAuthor.representedOrganization.name)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:name)&lt;=1">author.assignedAuthor.representedOrganization: element hl7:name (author.assignedAuthor.representedOrganization.name)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">author.assignedAuthor.representedOrganization: element hl7:addr (author.assignedAuthor.representedOrganization.addr)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:addr)&lt;=1">author.assignedAuthor.representedOrganization: element hl7:addr (author.assignedAuthor.representedOrganization.addr)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(lab:code)&lt;=1">author.assignedAuthor.representedOrganization: element lab:code (author.assignedAuthor.representedOrganization.code)  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: author.assignedAuthor.representedOrganization.id
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(../hl7:id[@root='2.16.528.1.1007.3.3'])&gt;0">author.assignedAuthor.representedOrganization.id: there SHALL be at least one hl7:id with @root present and valued '2.16.528.1.1007.3.3' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">author.assignedAuthor.representedOrganization.id: @root attribute SHALL be a syntactically correct UUID or OID</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: author.assignedAuthor.representedOrganization.name
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: author.assignedAuthor.representedOrganization.addr
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: author.assignedAuthor.representedOrganization.telecom
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/lab:code
Item: author.assignedAuthor.representedOrganization.code
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/lab:code"><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="valueFromValueSet" value="'ZorgAanbiederType'"/><let name="theDisplayName" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@displayName[1])"/><let name="theeffectiveDate" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/@effectiveDate)"/><let name="requiredCodeSystem" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@codeSystem)"/><let name="type" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@type)"/><let name="theNullFlavor" value="@nullFlavor"/><let name="validNullFlavor" value="document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]"/><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="(string-length($theDisplayName)&gt;0 and ($theCodeSystem=$requiredCodeSystem)) or string-length($validNullFlavor)&gt;0">author.assignedAuthor.representedOrganization.code: A code element SHALL be present where the value of @code is selected from Value Set '<value-of select="$valueFromValueSet"/>' DYNAMIC <value-of select="$theeffectiveDate"/> - found code= <value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="not(@nullFlavor) or string-length($validNullFlavor)&gt;0">author.assignedAuthor.representedOrganization.code: @nullFlavor '<value-of select="$theNullFlavor"/>' is not allowed in this context</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="not($type='A') or string-length($validNullFlavor)&gt;0">author.assignedAuthor.representedOrganization.code: the code used is an abstract node and cannot be chosen as a valid code  - found: code=<value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:custodian
Item: Custodian
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:custodian"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @typeCode='CST'">Custodian: @typeCode SHALL be present where the value of @typeCode is 'CST' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:assignedCustodian)&gt;=1 and not(hl7:assignedCustodian/@nullFlavor)">Custodian: element hl7:assignedCustodian (Custodian assignedCustodian)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:assignedCustodian)&lt;=1">Custodian: element hl7:assignedCustodian (Custodian assignedCustodian)  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:custodian/hl7:assignedCustodian
Item: Custodian assignedCustodian
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:custodian/hl7:assignedCustodian"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@classCode='ASSIGNED'">Custodian assignedCustodian: @classCode SHALL be present where the value of @classCode is 'ASSIGNED' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:representedCustodianOrganization)&gt;=1 and not(hl7:representedCustodianOrganization/@nullFlavor)">Custodian assignedCustodian: element hl7:representedCustodianOrganization (Custodian assignedCustodian.representedCustodianOrganization)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:representedCustodianOrganization)&lt;=1">Custodian assignedCustodian: element hl7:representedCustodianOrganization (Custodian assignedCustodian.representedCustodianOrganization)  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: Custodian assignedCustodian.representedCustodianOrganization
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@classCode='ORG'">Custodian assignedCustodian.representedCustodianOrganization: @classCode SHALL be present where the value of @classCode is 'ORG' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @determinerCode='INSTANCE'">Custodian assignedCustodian.representedCustodianOrganization: @determinerCode SHALL have value 'INSTANCE' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Custodian assignedCustodian.representedCustodianOrganization: element hl7:id (Custodian assignedCustodian.representedCustodianOrganization.id)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:name)&lt;=1">Custodian assignedCustodian.representedCustodianOrganization: element hl7:name appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id
Item: Custodian assignedCustodian.representedCustodianOrganization.id
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name
Item: Custodian assignedCustodian.representedCustodianOrganization
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr
Item: Custodian assignedCustodian.representedCustodianOrganization
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom
Item: Custodian assignedCustodian.representedCustodianOrganization
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:informationRecipient
Item: ClinicalDocument.informationRecipient
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:informationRecipient"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @typeCode='PRCP' or @typeCode='TRC'">ClinicalDocument.informationRecipient: @typeCode SHALL be present where the value of @typeCode contains codes PRCP TRC  only STATIC</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:intendedRecipient)&gt;=1 and not(hl7:intendedRecipient/@nullFlavor)">ClinicalDocument.informationRecipient: element hl7:intendedRecipient (ClinicalDocument.informationRecipient.intendedRecipient)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:intendedRecipient)&lt;=1">ClinicalDocument.informationRecipient: element hl7:intendedRecipient (ClinicalDocument.informationRecipient.intendedRecipient)  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:informationRecipient/hl7:intendedRecipient
Item: ClinicalDocument.informationRecipient.intendedRecipient
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:informationRecipient/hl7:intendedRecipient"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@classCode='ASSIGNED'">ClinicalDocument.informationRecipient.intendedRecipient: @classCode SHALL be present where the value of @classCode is 'ASSIGNED' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:informationRecipient)&gt;=1 and not(hl7:informationRecipient/@nullFlavor)">ClinicalDocument.informationRecipient.intendedRecipient: element hl7:informationRecipient (ClinicalDocument.informationRecipient.intendedRecipient.informationRecipient)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:informationRecipient)&lt;=1">ClinicalDocument.informationRecipient.intendedRecipient: element hl7:informationRecipient (ClinicalDocument.informationRecipient.intendedRecipient.informationRecipient)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:receivedOrganization)&lt;=1">ClinicalDocument.informationRecipient.intendedRecipient: element hl7:receivedOrganization (ClinicalDocument.informationRecipient.intendedRecipient.receivedOrganization)  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:informationRecipient/hl7:intendedRecipient/hl7:addr
Item: ClinicalDocument.informationRecipient.intendedRecipient
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient
Item: ClinicalDocument.informationRecipient.intendedRecipient.informationRecipient
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@classCode='PSN'">ClinicalDocument.informationRecipient.intendedRecipient.informationRecipient: @classCode SHALL be present where the value of @classCode is 'PSN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @determinerCode='INSTANCE'">ClinicalDocument.informationRecipient.intendedRecipient.informationRecipient: @determinerCode SHALL have value 'INSTANCE' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:name)&lt;=1">ClinicalDocument.informationRecipient.intendedRecipient.informationRecipient: element hl7:name appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient/hl7:name
Item: ClinicalDocument.informationRecipient.intendedRecipient.informationRecipient
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization
Item: ClinicalDocument.informationRecipient.intendedRecipient.receivedOrganization
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@classCode='ORG'">ClinicalDocument.informationRecipient.intendedRecipient.receivedOrganization: @classCode SHALL be present where the value of @classCode is 'ORG' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @determinerCode='INSTANCE'">ClinicalDocument.informationRecipient.intendedRecipient.receivedOrganization: @determinerCode SHALL have value 'INSTANCE' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:name)&lt;=1">ClinicalDocument.informationRecipient.intendedRecipient.receivedOrganization: element hl7:name appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:addr)&lt;=1">ClinicalDocument.informationRecipient.intendedRecipient.receivedOrganization: element hl7:addr appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:id
Item: ClinicalDocument.informationRecipient.intendedRecipient.receivedOrganization.id
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:id"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(../hl7:id[@root='2.16.528.1.1007.3.3'])&gt;0">ClinicalDocument.informationRecipient.intendedRecipient.receivedOrganization.id: there SHALL be at least one hl7:id with @root present and valued '2.16.528.1.1007.3.3' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">ClinicalDocument.informationRecipient.intendedRecipient.receivedOrganization.id: @root attribute SHALL be a syntactically correct UUID or OID</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:name
Item: ClinicalDocument.informationRecipient.intendedRecipient.receivedOrganization
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:addr
Item: ClinicalDocument.informationRecipient.intendedRecipient.receivedOrganization
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:telecom
Item: ClinicalDocument.informationRecipient.intendedRecipient.receivedOrganization
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:participant
Item: ClinicalDocument.participant
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:participant"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@contextControlCode='OP'">ClinicalDocument.participant: @contextControlCode SHALL have value 'OP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @typeCode='REF'">ClinicalDocument.participant: @typeCode SHALL be present where the value of @typeCode is 'REF' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:associatedEntity)&gt;=1 and not(hl7:associatedEntity/@nullFlavor)">ClinicalDocument.participant: element hl7:associatedEntity is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:associatedEntity)&lt;=1">ClinicalDocument.participant: element hl7:associatedEntity appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:participant/hl7:associatedEntity
Item: ClinicalDocument.participant
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:participant/hl7:associatedEntity"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@classCode='ROL'">ClinicalDocument.participant: @classCode SHALL be present where the value of @classCode is 'ROL' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:id)&gt;=1 ">ClinicalDocument.participant: element hl7:id is required [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:code)&lt;=1">ClinicalDocument.participant: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:addr)&lt;=1">ClinicalDocument.participant: element hl7:addr appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:associatedPerson)&lt;=1">ClinicalDocument.participant: element hl7:associatedPerson appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:scopingOrganization)&lt;=1">ClinicalDocument.participant: element hl7:scopingOrganization appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:participant/hl7:associatedEntity/hl7:id
Item: ClinicalDocument.participant
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:participant/hl7:associatedEntity/hl7:code
Item: ClinicalDocument.participant
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:participant/hl7:associatedEntity/hl7:addr
Item: ClinicalDocument.participant
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:participant/hl7:associatedEntity/hl7:associatedPerson
Item: ClinicalDocument.participant
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:participant/hl7:associatedEntity/hl7:associatedPerson"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@classCode='PSN'">ClinicalDocument.participant: @classCode SHALL be present where the value of @classCode is 'PSN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @determinerCode='INSTANCE'">ClinicalDocument.participant: @determinerCode SHALL have value 'INSTANCE' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:name)&lt;=1">ClinicalDocument.participant: element hl7:name appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:participant/hl7:associatedEntity/hl7:associatedPerson/hl7:name
Item: ClinicalDocument.participant
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization
Item: ClinicalDocument.participant
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@classCode='ORG'">ClinicalDocument.participant: @classCode SHALL be present where the value of @classCode is 'ORG' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @determinerCode='INSTANCE'">ClinicalDocument.participant: @determinerCode SHALL have value 'INSTANCE' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization/hl7:id
Item: ClinicalDocument.participant
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization/hl7:name
Item: ClinicalDocument.participant
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:inFulfillmentOf
Item: ClinicalDocument.inFulfillmentOf
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:inFulfillmentOf"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @typeCode='FLFS'">ClinicalDocument.inFulfillmentOf: @typeCode SHALL be present where the value of @typeCode is 'FLFS' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:order)&gt;=1 and not(hl7:order/@nullFlavor)">ClinicalDocument.inFulfillmentOf: element hl7:order (ClinicalDocument.inFulfillmentOf.order)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:order)&lt;=1">ClinicalDocument.inFulfillmentOf: element hl7:order (ClinicalDocument.inFulfillmentOf.order)  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:inFulfillmentOf/hl7:order
Item: ClinicalDocument.inFulfillmentOf.order
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:inFulfillmentOf/hl7:order"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@classCode='ACT'">ClinicalDocument.inFulfillmentOf.order: @classCode SHALL be present where the value of @classCode is 'ACT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@moodCode='RQO'">ClinicalDocument.inFulfillmentOf.order: @moodCode SHALL be present where the value of @moodCode is 'RQO' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">ClinicalDocument.inFulfillmentOf.order: element hl7:id is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:id)&lt;=1">ClinicalDocument.inFulfillmentOf.order: element hl7:id appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:inFulfillmentOf/hl7:order/hl7:id
Item: ClinicalDocument.inFulfillmentOf.order
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:documentationOf
Item: ClinicalDocument.documentationOf
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:documentationOf"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @typeCode='DOC'">ClinicalDocument.documentationOf: @typeCode SHALL be present where the value of @typeCode is 'DOC' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:serviceEvent)&gt;=1 and not(hl7:serviceEvent/@nullFlavor)">ClinicalDocument.documentationOf: element hl7:serviceEvent (ClinicalDocument.serviceEvent)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:serviceEvent)&lt;=1">ClinicalDocument.documentationOf: element hl7:serviceEvent (ClinicalDocument.serviceEvent)  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:documentationOf/hl7:serviceEvent
Item: ClinicalDocument.serviceEvent
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:documentationOf/hl7:serviceEvent"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@classCode='OBS' or @classCode='PROC'">ClinicalDocument.serviceEvent: @classCode SHALL be present where the value of @classCode contains codes OBS PROC  only STATIC</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@moodCode='EVN'">ClinicalDocument.serviceEvent: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">ClinicalDocument.serviceEvent: element hl7:id is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:id)&lt;=1">ClinicalDocument.serviceEvent: element hl7:id appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(lab:statusCode)&gt;=1 and not(lab:statusCode/@nullFlavor)">ClinicalDocument.serviceEvent: element lab:statusCode is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(lab:statusCode)&lt;=1">ClinicalDocument.serviceEvent: element lab:statusCode appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:performer)&gt;=1 ">ClinicalDocument.serviceEvent: element hl7:performer is required [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:performer)&lt;=1">ClinicalDocument.serviceEvent: element hl7:performer appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:documentationOf/hl7:serviceEvent/hl7:id
Item: ClinicalDocument.serviceEvent
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:documentationOf/hl7:serviceEvent/lab:statusCode
Item: ClinicalDocument.serviceEvent
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:documentationOf/hl7:serviceEvent/hl7:performer
Item: ClinicalDocument.serviceEvent
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:documentationOf/hl7:serviceEvent/hl7:performer"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @typeCode='PRF'">ClinicalDocument.serviceEvent: @typeCode SHALL be present where the value of @typeCode is 'PRF' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:assignedEntity)&gt;=1 ">ClinicalDocument.serviceEvent: element hl7:assignedEntity is required [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:assignedEntity)&lt;=1">ClinicalDocument.serviceEvent: element hl7:assignedEntity appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity
Item: ClinicalDocument.serviceEvent
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@classCode='ASSIGNED'">ClinicalDocument.serviceEvent: @classCode SHALL be present where the value of @classCode is 'ASSIGNED' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:code)&gt;=1 ">ClinicalDocument.serviceEvent: element hl7:code is required [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:code)&lt;=1">ClinicalDocument.serviceEvent: element hl7:code appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id
Item: ClinicalDocument.serviceEvent
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(../hl7:id[@root='2.16.528.1.1007.3.1'])&gt;0">ClinicalDocument.serviceEvent: there SHALL be at least one hl7:id with @root present and valued '2.16.528.1.1007.3.1' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">ClinicalDocument.serviceEvent: @root attribute SHALL be a syntactically correct UUID or OID</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:code
Item: ClinicalDocument.serviceEvent
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:code"><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="valueFromValueSet" value="'RoleCodeNL'"/><let name="theDisplayName" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@displayName[1])"/><let name="theeffectiveDate" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/@effectiveDate)"/><let name="requiredCodeSystem" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@codeSystem)"/><let name="type" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@type)"/><let name="theNullFlavor" value="@nullFlavor"/><let name="validNullFlavor" value="document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]"/><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="(string-length($theDisplayName)&gt;0 and ($theCodeSystem=$requiredCodeSystem)) or string-length($validNullFlavor)&gt;0">ClinicalDocument.serviceEvent: A code element SHALL be present where the value of @code is selected from Value Set '<value-of select="$valueFromValueSet"/>' DYNAMIC <value-of select="$theeffectiveDate"/> - found code= <value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="not(@nullFlavor) or string-length($validNullFlavor)&gt;0">ClinicalDocument.serviceEvent: @nullFlavor '<value-of select="$theNullFlavor"/>' is not allowed in this context</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="not($type='A') or string-length($validNullFlavor)&gt;0">ClinicalDocument.serviceEvent: the code used is an abstract node and cannot be chosen as a valid code  - found: code=<value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:legalAuthenticator
Item: ClinicalDocument.legalAuthenticator
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:legalAuthenticator"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@contextControlCode='OP'">ClinicalDocument.legalAuthenticator: @contextControlCode SHALL have value 'OP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @typeCode='LA'">ClinicalDocument.legalAuthenticator: @typeCode SHALL be present where the value of @typeCode is 'LA' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:authenticator
Item: ClinicalDocument.authenticator
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:authenticator"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @typeCode='AUTHEN'">ClinicalDocument.authenticator: @typeCode SHALL be present where the value of @typeCode is 'AUTHEN' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:relatedDocument
Item: ClinicalDocument.relatedDocument
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:relatedDocument"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @typeCode='RPLC'">ClinicalDocument.relatedDocument: @typeCode SHALL be present where the value of @typeCode is 'RPLC' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component
Item: ClinicalDocument
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @typeCode='COMP'">ClinicalDocument: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @contextConductionInd='true'">ClinicalDocument: @contextConductionInd SHALL have value 'true' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:structuredBody)&gt;=1 and not(hl7:structuredBody/@nullFlavor)">ClinicalDocument: element hl7:structuredBody is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:structuredBody)&lt;=1">ClinicalDocument: element hl7:structuredBody appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody
Item: ClinicalDocument
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@classCode='DOCBODY'">ClinicalDocument: @classCode SHALL be present where the value of @classCode is 'DOCBODY' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@moodCode='EVN'">ClinicalDocument: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:component[hl7:section[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]])&gt;=1 and not(hl7:component[hl7:section[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/@nullFlavor)">ClinicalDocument: element hl7:component[hl7:section[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]] is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:component[hl7:section[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">ClinicalDocument: element hl7:component[hl7:section[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]] appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:component[hl7:section[hl7:code[@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">ClinicalDocument: element hl7:component[hl7:section[hl7:code[@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1']]] appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMCOLM' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">ClinicalDocument: element hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMCOLM' and @codeSystem='2.16.840.1.113883.6.1']]] appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]])&gt;=1 and not(hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/@nullFlavor)">ClinicalDocument: element hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]] is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">ClinicalDocument: element hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]] appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: ClinicalDocument
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @typeCode='COMP'">ClinicalDocument: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:section)&gt;=1 and not(hl7:section/@nullFlavor)">ClinicalDocument: element hl7:section (CDA body section Opdrachtgegevens)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:section)&lt;=1">ClinicalDocument: element hl7:section (CDA body section Opdrachtgegevens)  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section
Item: CDA body section Opdrachtgegevens
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@classCode='DOCSECT'">CDA body section Opdrachtgegevens: @classCode SHALL be present where the value of @classCode is 'DOCSECT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@moodCode='EVN'">CDA body section Opdrachtgegevens: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">CDA body section Opdrachtgegevens: element hl7:text is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:text)&lt;=1">CDA body section Opdrachtgegevens: element hl7:text appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:entry)&gt;=1 and not(hl7:entry/@nullFlavor)">CDA body section Opdrachtgegevens: element hl7:entry is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:entry)&lt;=1">CDA body section Opdrachtgegevens: element hl7:entry appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:code
Item: CDA body section Opdrachtgegevens
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@nullFlavor or @code='X-LAB-ORDER'">CDA body section Opdrachtgegevens: A code element SHALL be present where the value of @code is 'X-LAB-ORDER' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.1'">CDA body section Opdrachtgegevens: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.1' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:title
Item: CDA body section Opdrachtgegevens
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:title"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="text()='Opdrachtgegevens'">CDA body section Opdrachtgegevens: element content SHALL have value 'Opdrachtgegevens' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:text
Item: CDA body section Opdrachtgegevens
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry
Item: CDA body section Opdrachtgegevens
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @typeCode='DRIV'">CDA body section Opdrachtgegevens: @typeCode SHALL be present where the value of @typeCode is 'DRIV' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @contextConductionInd='true'">CDA body section Opdrachtgegevens: @contextConductionInd SHALL have value 'true' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:templateId)&gt;=1 and not(hl7:templateId/@nullFlavor)">CDA body section Opdrachtgegevens: element hl7:templateId is mandatory [min 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry/hl7:templateId
Item: CDA body section Opdrachtgegevens
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry/hl7:templateId"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(../hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.35.200'])&gt;0">CDA body section Opdrachtgegevens: there SHALL be at least one hl7:templateId with @root present and valued '2.16.840.1.113883.2.4.6.10.35.200' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">CDA body section Opdrachtgegevens: @root attribute SHALL be a syntactically correct UUID or OID</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: ClinicalDocument
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1']]]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @typeCode='COMP'">ClinicalDocument: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:section)&gt;=1 and not(hl7:section/@nullFlavor)">ClinicalDocument: element hl7:section (CDA body section Klinische/ fysische informatie)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:section)&lt;=1">ClinicalDocument: element hl7:section (CDA body section Klinische/ fysische informatie)  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section
Item: CDA body section Klinische/ fysische informatie
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@classCode='DOCSECT'">CDA body section Klinische/ fysische informatie: @classCode SHALL be present where the value of @classCode is 'DOCSECT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@moodCode='EVN'">CDA body section Klinische/ fysische informatie: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">CDA body section Klinische/ fysische informatie: element hl7:text is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:text)&lt;=1">CDA body section Klinische/ fysische informatie: element hl7:text appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:entry)&gt;=1 and not(hl7:entry/@nullFlavor)">CDA body section Klinische/ fysische informatie: element hl7:entry is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:entry)&lt;=1">CDA body section Klinische/ fysische informatie: element hl7:entry appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:code
Item: CDA body section Klinische/ fysische informatie
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@nullFlavor or @code='34117-2'">CDA body section Klinische/ fysische informatie: A code element SHALL be present where the value of @code is '34117-2' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.1'">CDA body section Klinische/ fysische informatie: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.1' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:title
Item: CDA body section Klinische/ fysische informatie
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:title"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="text()='Klinisch/fysische informatie'">CDA body section Klinische/ fysische informatie: element content SHALL have value 'Klinisch/fysische informatie' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:text
Item: CDA body section Klinische/ fysische informatie
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry
Item: CDA body section Klinische/ fysische informatie
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @typeCode='DRIV'">CDA body section Klinische/ fysische informatie: @typeCode SHALL be present where the value of @typeCode is 'DRIV' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @contextConductionInd='true'">CDA body section Klinische/ fysische informatie: @contextConductionInd SHALL have value 'true' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:templateId)&gt;=1 and not(hl7:templateId/@nullFlavor)">CDA body section Klinische/ fysische informatie: element hl7:templateId is mandatory [min 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry/hl7:templateId
Item: CDA body section Klinische/ fysische informatie
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry/hl7:templateId"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(../hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.35.201'])&gt;0">CDA body section Klinische/ fysische informatie: there SHALL be at least one hl7:templateId with @root present and valued '2.16.840.1.113883.2.4.6.10.35.201' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">CDA body section Klinische/ fysische informatie: @root attribute SHALL be a syntactically correct UUID or OID</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMCOLM' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: ClinicalDocument
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMCOLM' and @codeSystem='2.16.840.1.113883.6.1']]]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @typeCode='COMP'">ClinicalDocument: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:section)&gt;=1 and not(hl7:section/@nullFlavor)">ClinicalDocument: element hl7:section (CDA body section Niet-administratieve afnamegegevens)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:section)&lt;=1">ClinicalDocument: element hl7:section (CDA body section Niet-administratieve afnamegegevens)  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMCOLM' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section
Item: CDA body section Niet-administratieve afnamegegevens
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMCOLM' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@classCode='DOCSECT'">CDA body section Niet-administratieve afnamegegevens: @classCode SHALL be present where the value of @classCode is 'DOCSECT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@moodCode='EVN'">CDA body section Niet-administratieve afnamegegevens: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">CDA body section Niet-administratieve afnamegegevens: element hl7:text is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:text)&lt;=1">CDA body section Niet-administratieve afnamegegevens: element hl7:text appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:entry)&gt;=1 and not(hl7:entry/@nullFlavor)">CDA body section Niet-administratieve afnamegegevens: element hl7:entry is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:entry)&lt;=1">CDA body section Niet-administratieve afnamegegevens: element hl7:entry appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMCOLM' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:code
Item: CDA body section Niet-administratieve afnamegegevens
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMCOLM' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@nullFlavor or @code='X-LAB-SPMCOLM'">CDA body section Niet-administratieve afnamegegevens: A code element SHALL be present where the value of @code is 'X-LAB-SPMCOLM' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.1'">CDA body section Niet-administratieve afnamegegevens: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.1' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMCOLM' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:title
Item: CDA body section Niet-administratieve afnamegegevens
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMCOLM' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:title"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="text()='Niet-administratieve afnamegegevens'">CDA body section Niet-administratieve afnamegegevens: element content SHALL have value 'Niet-administratieve afnamegegevens' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMCOLM' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:text
Item: CDA body section Niet-administratieve afnamegegevens
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMCOLM' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry
Item: CDA body section Niet-administratieve afnamegegevens
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMCOLM' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @typeCode='DRIV'">CDA body section Niet-administratieve afnamegegevens: @typeCode SHALL be present where the value of @typeCode is 'DRIV' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @contextConductionInd='true'">CDA body section Niet-administratieve afnamegegevens: @contextConductionInd SHALL have value 'true' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:templateId)&gt;=1 and not(hl7:templateId/@nullFlavor)">CDA body section Niet-administratieve afnamegegevens: element hl7:templateId is mandatory [min 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMCOLM' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry/hl7:templateId
Item: CDA body section Niet-administratieve afnamegegevens
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMCOLM' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry/hl7:templateId"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(../hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.35.203'])&gt;0">CDA body section Niet-administratieve afnamegegevens: there SHALL be at least one hl7:templateId with @root present and valued '2.16.840.1.113883.2.4.6.10.35.203' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">CDA body section Niet-administratieve afnamegegevens: @root attribute SHALL be a syntactically correct UUID or OID</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: ClinicalDocument
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @typeCode='COMP'">ClinicalDocument: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:section)&gt;=1 and not(hl7:section/@nullFlavor)">ClinicalDocument: element hl7:section (CDA body section Materiaal gegevens (per monster))  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:section)&lt;=1">ClinicalDocument: element hl7:section (CDA body section Materiaal gegevens (per monster))  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section
Item: CDA body section Materiaal gegevens (per monster)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@classCode='DOCSECT'">CDA body section Materiaal gegevens (per monster): @classCode SHALL be present where the value of @classCode is 'DOCSECT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@moodCode='EVN'">CDA body section Materiaal gegevens (per monster): @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">CDA body section Materiaal gegevens (per monster): element hl7:text is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:text)&lt;=1">CDA body section Materiaal gegevens (per monster): element hl7:text appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:entry)&gt;=1 and not(hl7:entry/@nullFlavor)">CDA body section Materiaal gegevens (per monster): element hl7:entry is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:entry)&lt;=1">CDA body section Materiaal gegevens (per monster): element hl7:entry appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:code
Item: CDA body section Materiaal gegevens (per monster)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@nullFlavor or @code='X-LAB-SPMSCT'">CDA body section Materiaal gegevens (per monster): A code element SHALL be present where the value of @code is 'X-LAB-SPMSCT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.1'">CDA body section Materiaal gegevens (per monster): A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.1' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:title
Item: CDA body section Materiaal gegevens (per monster)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:title"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="text()='Materiaal gegevens (per monster)'">CDA body section Materiaal gegevens (per monster): element content SHALL have value 'Materiaal gegevens (per monster)' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:text
Item: CDA body section Materiaal gegevens (per monster)
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry
Item: CDA body section Materiaal gegevens (per monster)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @typeCode='DRIV'">CDA body section Materiaal gegevens (per monster): @typeCode SHALL be present where the value of @typeCode is 'DRIV' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @contextConductionInd='true'">CDA body section Materiaal gegevens (per monster): @contextConductionInd SHALL have value 'true' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:templateId)&gt;=1 and not(hl7:templateId/@nullFlavor)">CDA body section Materiaal gegevens (per monster): element hl7:templateId is mandatory [min 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry/hl7:templateId
Item: CDA body section Materiaal gegevens (per monster)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry/hl7:templateId"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(../hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.35.204'])&gt;0">CDA body section Materiaal gegevens (per monster): there SHALL be at least one hl7:templateId with @root present and valued '2.16.840.1.113883.2.4.6.10.35.204' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">CDA body section Materiaal gegevens (per monster): @root attribute SHALL be a syntactically correct UUID or OID</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:code[@code!='X-LAB-ORDER'][@code!='X-LAB-SPMCOL'][@code!='X-LAB-SPMCOLM'][@code!='34117-2'][@code!='X-LAB-SPMSCT'][@codeSystem='2.16.840.1.113883.6.1']]
Item: ClinicalDocument
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:code[@code!='X-LAB-ORDER'][@code!='X-LAB-SPMCOL'][@code!='X-LAB-SPMCOLM'][@code!='34117-2'][@code!='X-LAB-SPMSCT'][@codeSystem='2.16.840.1.113883.6.1']]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @typeCode='COMP'">ClinicalDocument: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:section)&gt;=1 and not(hl7:section/@nullFlavor)">ClinicalDocument: element hl7:section (CDA body section Uitslag, rapportage per laboratorium)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:section)&lt;=1">ClinicalDocument: element hl7:section (CDA body section Uitslag, rapportage per laboratorium)  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:code[@code!='X-LAB-ORDER'][@code!='X-LAB-SPMCOL'][@code!='X-LAB-SPMCOLM'][@code!='34117-2'][@code!='X-LAB-SPMSCT'][@codeSystem='2.16.840.1.113883.6.1']]/hl7:section
Item: CDA body section Uitslag, rapportage per laboratorium
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:code[@code!='X-LAB-ORDER'][@code!='X-LAB-SPMCOL'][@code!='X-LAB-SPMCOLM'][@code!='34117-2'][@code!='X-LAB-SPMSCT'][@codeSystem='2.16.840.1.113883.6.1']]/hl7:section"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@classCode='DOCSECT'">CDA body section Uitslag, rapportage per laboratorium: @classCode SHALL be present where the value of @classCode is 'DOCSECT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="@moodCode='EVN'">CDA body section Uitslag, rapportage per laboratorium: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">CDA body section Uitslag, rapportage per laboratorium: element hl7:text is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:text)&lt;=1">CDA body section Uitslag, rapportage per laboratorium: element hl7:text appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:entry)&gt;=1 and not(hl7:entry/@nullFlavor)">CDA body section Uitslag, rapportage per laboratorium: element hl7:entry is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:entry)&lt;=1">CDA body section Uitslag, rapportage per laboratorium: element hl7:entry appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:code[@code!='X-LAB-ORDER'][@code!='X-LAB-SPMCOL'][@code!='X-LAB-SPMCOLM'][@code!='34117-2'][@code!='X-LAB-SPMSCT'][@codeSystem='2.16.840.1.113883.6.1']]/hl7:section/hl7:code
Item: CDA body section Uitslag, rapportage per laboratorium
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:code[@code!='X-LAB-ORDER'][@code!='X-LAB-SPMCOL'][@code!='X-LAB-SPMCOLM'][@code!='34117-2'][@code!='X-LAB-SPMSCT'][@codeSystem='2.16.840.1.113883.6.1']]/hl7:section/hl7:code"><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="valueFromValueSet" value="'LabSpeciality'"/><let name="theDisplayName" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@displayName[1])"/><let name="theeffectiveDate" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/@effectiveDate)"/><let name="requiredCodeSystem" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@codeSystem)"/><let name="type" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@type)"/><let name="theNullFlavor" value="@nullFlavor"/><let name="validNullFlavor" value="document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]"/><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="(string-length($theDisplayName)&gt;0 and ($theCodeSystem=$requiredCodeSystem)) or string-length($validNullFlavor)&gt;0">CDA body section Uitslag, rapportage per laboratorium: A code element SHALL be present where the value of @code is selected from Value Set '<value-of select="$valueFromValueSet"/>' DYNAMIC <value-of select="$theeffectiveDate"/> - found code= <value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="not(@nullFlavor) or string-length($validNullFlavor)&gt;0">CDA body section Uitslag, rapportage per laboratorium: @nullFlavor '<value-of select="$theNullFlavor"/>' is not allowed in this context</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="not($type='A') or string-length($validNullFlavor)&gt;0">CDA body section Uitslag, rapportage per laboratorium: the code used is an abstract node and cannot be chosen as a valid code  - found: code=<value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:code[@code!='X-LAB-ORDER'][@code!='X-LAB-SPMCOL'][@code!='X-LAB-SPMCOLM'][@code!='34117-2'][@code!='X-LAB-SPMSCT'][@codeSystem='2.16.840.1.113883.6.1']]/hl7:section/hl7:title
Item: CDA body section Uitslag, rapportage per laboratorium
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:code[@code!='X-LAB-ORDER'][@code!='X-LAB-SPMCOL'][@code!='X-LAB-SPMCOLM'][@code!='34117-2'][@code!='X-LAB-SPMSCT'][@codeSystem='2.16.840.1.113883.6.1']]/hl7:section/hl7:text
Item: CDA body section Uitslag, rapportage per laboratorium
-->

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:code[@code!='X-LAB-ORDER'][@code!='X-LAB-SPMCOL'][@code!='X-LAB-SPMCOLM'][@code!='34117-2'][@code!='X-LAB-SPMSCT'][@codeSystem='2.16.840.1.113883.6.1']]/hl7:section/hl7:entry
Item: CDA body section Uitslag, rapportage per laboratorium
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:code[@code!='X-LAB-ORDER'][@code!='X-LAB-SPMCOL'][@code!='X-LAB-SPMCOLM'][@code!='34117-2'][@code!='X-LAB-SPMSCT'][@codeSystem='2.16.840.1.113883.6.1']]/hl7:section/hl7:entry"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @typeCode='DRIV'">CDA body section Uitslag, rapportage per laboratorium: @typeCode SHALL be present where the value of @typeCode is 'DRIV' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test=" @contextConductionInd='true'">CDA body section Uitslag, rapportage per laboratorium: @contextConductionInd SHALL have value 'true' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(hl7:templateId)&gt;=1 and not(hl7:templateId/@nullFlavor)">CDA body section Uitslag, rapportage per laboratorium: element hl7:templateId is mandatory [min 1x]</assert></rule>

<!--
Template derived rules for ID: elab-labuitslag
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:code[@code!='X-LAB-ORDER'][@code!='X-LAB-SPMCOL'][@code!='X-LAB-SPMCOLM'][@code!='34117-2'][@code!='X-LAB-SPMSCT'][@codeSystem='2.16.840.1.113883.6.1']]/hl7:section/hl7:entry/hl7:templateId
Item: CDA body section Uitslag, rapportage per laboratorium
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.3']/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:code[@code!='X-LAB-ORDER'][@code!='X-LAB-SPMCOL'][@code!='X-LAB-SPMCOLM'][@code!='34117-2'][@code!='X-LAB-SPMSCT'][@codeSystem='2.16.840.1.113883.6.1']]/hl7:section/hl7:entry/hl7:templateId"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="count(../hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.35.205'])&gt;0">CDA body section Uitslag, rapportage per laboratorium: there SHALL be at least one hl7:templateId with @root present and valued '2.16.840.1.113883.2.4.6.10.35.205' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-labuitslag" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">CDA body section Uitslag, rapportage per laboratorium: @root attribute SHALL be a syntactically correct UUID or OID</assert></rule>
</pattern>