<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.140
Name: Bericht 3 Geldige partijnummers (payload)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000">
   <title>Bericht 3 Geldige partijnummers (payload)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]"
         id="tmp-563b1ddd-8ae7-48cb-891c-118cba9b55bf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:ProductList)&gt;=1 and not(hl7:ProductList/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:ProductList is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:ProductList)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:ProductList komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]"
         id="tmp-5920c2fd-17c8-4f09-aed7-77fbe28bae64">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@classCode)='LIST' or not(@classCode)">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(VersturenGeldigePartijnummers-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'])&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:product)&gt;=1 and not(hl7:product/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:product is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:templateId
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:templateId"
         id="tmp-16729255-1c26-4a2b-8b21-7cfe6d906063">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.140'">(VersturenGeldigePartijnummers-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.140' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:code[(@code='373873005' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:code[(@code='373873005' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-c0e6ee49-b0b5-475d-89a6-f925907ce3fe">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or (@code='373873005' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Pharmaceutical / biologic product')">(VersturenGeldigePartijnummers-payload): de elementwaarde MOET zijn code '373873005' codeSystem '2.16.840.1.113883.6.96' displayName='Pharmaceutical / biologic product'.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime
Item: (VersturenGeldigePartijnummers-payload)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime"
         id="tmp-23b63348-06d1-4dc8-9794-9c62de621f03">
      <extends rule="tmp-97a2b2e8-5b86-4891-80c7-9fd5a4657c25"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:high is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:center)=0">(VersturenGeldigePartijnummers-payload): element hl7:center MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:width)=0">(VersturenGeldigePartijnummers-payload): element hl7:width MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime/hl7:low
Item: (VersturenGeldigePartijnummers-payload)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime/hl7:low"
         id="tmp-e08529ac-0249-4395-aa3d-189caa6a8263">
      <extends rule="tmp-f776d97c-7dfb-4006-bdb2-d97139c5bbde"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="(@nullFlavor or (string-length(string($theValue))&gt;=14))">(VersturenGeldigePartijnummers-payload): value MOET een stringlengte in bereik [14..*] hebben </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime/hl7:high
Item: (VersturenGeldigePartijnummers-payload)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime/hl7:high"
         id="tmp-4b176988-7b08-4e3a-a74d-72d6f50ce1ed">
      <extends rule="tmp-316dc5f2-8cf1-42ee-a506-5481decc0535"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="(@nullFlavor or (string-length(string($theValue))&gt;=14))">(VersturenGeldigePartijnummers-payload): value MOET een stringlengte in bereik [14..*] hebben </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime/hl7:center
Item: (VersturenGeldigePartijnummers-payload)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime/hl7:width
Item: (VersturenGeldigePartijnummers-payload)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10244
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]
Item: (Periode-M-Start-M-Eind-M)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]"
         id="tmp-f3f851ec-0b68-4104-9eab-e460bcf7fec7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Periode-M-Start-M-Eind-M): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10244
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime
Item: (Periode-M-Start-M-Eind-M)
-->
<rule id="tmp-97a2b2e8-5b86-4891-80c7-9fd5a4657c25" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(Periode-M-Start-M-Eind-M): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(Periode-M-Start-M-Eind-M): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(Periode-M-Start-M-Eind-M): element hl7:high is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(Periode-M-Start-M-Eind-M): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="count(hl7:width)=0">(Periode-M-Start-M-Eind-M): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="count(hl7:center)=0">(Periode-M-Start-M-Eind-M): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10244
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime/hl7:low
Item: (Periode-M-Start-M-Eind-M)
-->
<rule id="tmp-f776d97c-7dfb-4006-bdb2-d97139c5bbde" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Periode-M-Start-M-Eind-M): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10244
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime/hl7:high
Item: (Periode-M-Start-M-Eind-M)
-->
<rule id="tmp-316dc5f2-8cf1-42ee-a506-5481decc0535" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Periode-M-Start-M-Eind-M): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10244
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime/hl7:width
Item: (Periode-M-Start-M-Eind-M)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10244
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime/hl7:center
Item: (Periode-M-Start-M-Eind-M)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product"
         id="tmp-368a9169-5623-4002-ad75-2ab0c997f512">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@typeCode)='PRD'">(VersturenGeldigePartijnummers-payload): de waarde van @typeCode MOET 'PRD' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:instanceOfKind)&gt;=1 and not(hl7:instanceOfKind/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:instanceOfKind is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:instanceOfKind)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:instanceOfKind komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind"
         id="tmp-d0333fb4-b03a-4475-a737-c85076e178f0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@classCode)='INST'">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'INST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:productInstanceInstance)&gt;=1 and not(hl7:productInstanceInstance/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:productInstanceInstance is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:productInstanceInstance)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:productInstanceInstance komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:kindOfProduct)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:kindOfProduct komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance"
         id="tmp-b6c14bad-b2d2-4402-a2ff-dfcf06b8df05">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@classCode)='MMAT'">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@determinerCode)='INSTANCE'">(VersturenGeldigePartijnummers-payload): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 ">(VersturenGeldigePartijnummers-payload): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:expirationTime)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:expirationTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:asInstanceOfKind)&gt;=1 and not(hl7:asInstanceOfKind/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:asInstanceOfKind is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:asInstanceOfKind)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:asInstanceOfKind komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:id
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:id"
         id="tmp-8c7a93ba-f63f-4bea-91ec-46fe71929451">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@extension and (@root or @nullFlavor='UNC')">(VersturenGeldigePartijnummers-payload): Er MOET tenminste een partijnummer in @extension staan. Het attribuut @root MOET een waarde bevatten of @nullFlavor='UNC'.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime
Item: (VersturenGeldigePartijnummers-payload)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime"
         id="tmp-9d9c9215-fd2e-4dbc-a3f7-0eed5d1d5cca">
      <extends rule="tmp-d86082ea-f250-4bb4-afe0-8d3789a955a8"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:low)=0">(VersturenGeldigePartijnummers-payload): element hl7:low MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:high is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:low
Item: (VersturenGeldigePartijnummers-payload)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:high
Item: (VersturenGeldigePartijnummers-payload)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:high"
         id="tmp-9e5a2c85-8a94-4513-abec-86e9b35faf40">
      <extends rule="tmp-2d8714b8-a867-4733-b089-58753836551a"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance"
         id="tmp-14d75e44-466e-4e43-967a-970decf2e83b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime
Item: (Periode-O-Start-O-Eind-O)
-->
<rule id="tmp-d86082ea-f250-4bb4-afe0-8d3789a955a8" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:low"
         id="tmp-22422292-8019-432c-a153-115e8fc06aa9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule id="tmp-2d8714b8-a867-4733-b089-58753836551a" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]"
         id="tmp-b1030ad7-5750-4a4e-a974-fc0e20aa5490">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@classCode)='INST'">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'INST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:kindOfMaterialKind)&gt;=1 and not(hl7:kindOfMaterialKind/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:kindOfMaterialKind is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:kindOfMaterialKind)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:kindOfMaterialKind komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]/hl7:kindOfMaterialKind
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]/hl7:kindOfMaterialKind"
         id="tmp-086149b1-9000-4c1d-b113-71d6074f7d2a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@classCode)='MAT'">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'MAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@determinerCode)='KIND'">(VersturenGeldigePartijnummers-payload): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(VersturenGeldigePartijnummers-payload): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]/hl7:kindOfMaterialKind/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]/hl7:kindOfMaterialKind/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']"
         id="tmp-de5fd213-634c-4088-9391-cb35613ab43d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(VersturenGeldigePartijnummers-payload): de waarde van @code MOET worden gekozen uit waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(VersturenGeldigePartijnummers-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@displayName">(VersturenGeldigePartijnummers-payload): 
                                            <name path=".."/>/<name/>/@displayName MOET de weergavenaam bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct"
         id="tmp-0844a20d-eb85-44b8-b08a-e4d85141ed90">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@classCode)='MAT'">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'MAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@determinerCode)='KIND'">(VersturenGeldigePartijnummers-payload): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(VersturenGeldigePartijnummers-payload): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct/hl7:code
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct/hl7:code"
         id="tmp-9480e400-61df-489d-95ef-4773cd8d8b3f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH' or not(@nullFlavor)">(VersturenGeldigePartijnummers-payload): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or (@code and @codeSystem and @displayName)">(VersturenGeldigePartijnummers-payload): Als er geen @nullFlavor is, dan MOETEN @code, @codeSystem én @displayName een waarde bevatten.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="not(@nullFlavor) or (@nullFlavor='OTH' and hl7:originalText)">(VersturenGeldigePartijnummers-payload): Als er een @nullFlavor is dan MOET de waarde 'OTH' zijn en MOET originalText de omschrijving bevatten.</assert>
   </rule>
</pattern>
